﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.DragDrop;
using Telerik.Windows.Controls;
using System.Collections;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ObservableCollection<string>(from c in Enumerable.Range(0, 10) select "Text" + c);
        }

        private void RadRibbonGallery_DropInfo(object sender, Telerik.Windows.Controls.DragDrop.DragDropEventArgs e)
        {
            if (e.Options.Status == DragStatus.DropComplete)
            {
                if (e.Options.Destination is RadGalleryItem)
                {
                    var items = ((IList)SampleGallery.ItemsSource);

                    var index = items.IndexOf(e.Options.Destination.DataContext);

                    if(index<0)
                    {
                        index=0;
                    }

                    var droppeditem = e.Options.Source.DataContext;

                    items.Remove(droppeditem);

                    items.Insert(index, droppeditem);
                }
                else if (e.Options.Destination is RadRibbonGallery)
                {
                    var items = ((IList)SampleGallery.ItemsSource);
                    var droppeditem = e.Options.Source.DataContext;

                    items.Remove(droppeditem);
                    items.Add(droppeditem);
                }
            }
        }
    }

}
